package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.projectbonus.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class BonusCycle extends CoreBillBase implements IBonusCycle
{
    public BonusCycle()
    {
        super();
        registerInterface(IBonusCycle.class, this);
    }
    public BonusCycle(Context ctx)
    {
        super(ctx);
        registerInterface(IBonusCycle.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6677AD64");
    }
    private BonusCycleController getController() throws BOSException
    {
        return (BonusCycleController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public BonusCycleCollection getBonusCycleCollection() throws BOSException
    {
        try {
            return getController().getBonusCycleCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public BonusCycleCollection getBonusCycleCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getBonusCycleCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public BonusCycleCollection getBonusCycleCollection(String oql) throws BOSException
    {
        try {
            return getController().getBonusCycleCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public BonusCycleInfo getBonusCycleInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getBonusCycleInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public BonusCycleInfo getBonusCycleInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getBonusCycleInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public BonusCycleInfo getBonusCycleInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getBonusCycleInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *锁定周期-User defined method
     *@param billId 单据id
     */
    public void lock(String billId) throws BOSException, EASBizException
    {
        try {
            getController().lock(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *解锁周期-User defined method
     *@param billId 单据id
     */
    public void unLock(String billId) throws BOSException, EASBizException
    {
        try {
            getController().unLock(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}